package ims;

import java.io.*;
import java.awt.*;
import java.awt.event.*; 
import java.util.*;



//IMS Base Class
public class imsCore extends imsMaster {

  // no attributes necessary to be defined here
  // All protected members defined in Master Class can be accessed directly.

  //methods
  public imsCore(){}; //construtor

  public imsCore(imsMetaMetaData aMetaMetaData, imsGeneral aGeneral, 
  	             imsLifeCycle aLifeCycle, imsTechnical aTechnical, 
  		         imsRights aRights, imsClassification[] aClassification) {
		  
    general = aGeneral;
    classification = aClassification;
    lifecycle = aLifeCycle;
    metametadata = aMetaMetaData;
    technical = aTechnical;
    rights = aRights;
  }


  //output
  //Only need write all the mandatory information  
  public String imsWrite2XMLString() {
    StringBuffer sb = new StringBuffer("<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n<!DOCTYPE RECORD SYSTEM \"http://www.imsproject.org/xml/IMSCOR01.dtd\">\n");
    sb.append("<RECORD xmlns=\"http://www.imsproject.org/metadata/\">\n");

    sb.append(metametadata.imsWrite2XMLString()+"\n");
    sb.append(general.imsWrite2XMLString()+"\n");
    sb.append(lifecycle.imsWrite2XMLString()+"\n");
    sb.append(technical.imsWrite2XMLString()+"\n");
    sb.append(rights.imsWrite2XMLString());
    for(int i=0; i < classification.length; i++)
      sb.append(classification[i].imsWrite2XMLString()+"\n");	

    sb.append("</RECORD>");
    return sb.toString();
  }
} 
